%define real_name MIME-Explode
%define	name perl-%{real_name}
%define	version 0.37
%define	release 1mdk

Summary:	MIME::Explode - Perl extension for explode MIME messages
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://www.cpan.org
Source0:	http://search.cpan.org/CPAN/authors/id/H/HD/HDIAS/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
MIME::Explode is perl module for parsing and decoding single or multipart
MIME messages, and outputting its decoded components to a given directory
ie, this module is designed to allows users to extract the attached files
out of a MIME encoded email messages or mailboxes.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README examples
%{perl_vendorlib}/
%{_mandir}/man3/*

%changelog
* Sun Jul 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.37-1mdk
- initial Mandriva package
